<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.756.5.30.1.1.10.3.57
Name: Functional Status Assessment Section - coded
Description: 
      The coded functional status assessment section provides a machine readable and narrative description of the patient’s status of normal functioning at the time the document was created. 
      Functional status includes information concerning:  
       
                     Ambulatory ability 
                     Mental status or competency 
                     Activities of Daily Living (ADL’s) including bathing, dressing, feeding, grooming 
                     Home/living situation having an effect on the health status of the patient 
                     Ability to care for self 
                     Social activity, including issues with social cognition, participation with friends and acquaintances other than family members 
                     Occupation activity, including activities partly or directly related to working, housework or volunteering, family and home responsibilities or activities related to home and family 
                     Communication ability, inc
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.756.5.30.1.1.10.3.57-2017-09-13T163137">
   <title>Functional Status Assessment Section - coded</title>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.1.10.3.57
Context: *[hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.57'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.23'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.1.12.2.1'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.17']]]
Item: (cdachsmcp_section_FunctionalStatusAssessmentCoded)
-->

   <!--
Template derived rules for ID: 2.16.756.5.30.1.1.10.3.57
Context: *[hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.57'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.23'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.1.12.2.1'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.17']]]/hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.57'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.23'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.1.12.2.1'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.17']]
Item: (cdachsmcp_section_FunctionalStatusAssessmentCoded)
-->

   <rule context="*[hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.57'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.23'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.1.12.2.1'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.17']]]/hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.57'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.23'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.1.12.2.1'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.17']]"
         id="d20e5067-false-d52072e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190225T172803/tmp-2.16.756.5.30.1.1.10.3.57-2017-09-13T163137.html"
              test="//hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.1.12.2.3'] or //hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.1.12.2.4'] or //hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.1.12.2.5']">(cdachsmcp_section_FunctionalStatusAssessmentCoded): At least one of the optional subsections shall be present {1.3.6.1.4.1.19376.1.5.3.1.1.12.2.3, 1.3.6.1.4.1.19376.1.5.3.1.1.12.2.4, 1.3.6.1.4.1.19376.1.5.3.1.1.12.2.5}</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190225T172803/tmp-2.16.756.5.30.1.1.10.3.57-2017-09-13T163137.html"
              test="count(hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.57']) &gt;= 1">(cdachsmcp_section_FunctionalStatusAssessmentCoded): element hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.57'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190225T172803/tmp-2.16.756.5.30.1.1.10.3.57-2017-09-13T163137.html"
              test="count(hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.57']) &lt;= 1">(cdachsmcp_section_FunctionalStatusAssessmentCoded): element hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.57'] appears too often [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190225T172803/tmp-2.16.756.5.30.1.1.10.3.57-2017-09-13T163137.html"
              test="count(hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.23']) &gt;= 1">(cdachsmcp_section_FunctionalStatusAssessmentCoded): element hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.23'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190225T172803/tmp-2.16.756.5.30.1.1.10.3.57-2017-09-13T163137.html"
              test="count(hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.23']) &lt;= 1">(cdachsmcp_section_FunctionalStatusAssessmentCoded): element hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.23'] appears too often [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190225T172803/tmp-2.16.756.5.30.1.1.10.3.57-2017-09-13T163137.html"
              test="count(hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.1.12.2.1']) &gt;= 1">(cdachsmcp_section_FunctionalStatusAssessmentCoded): element hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.1.12.2.1'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190225T172803/tmp-2.16.756.5.30.1.1.10.3.57-2017-09-13T163137.html"
              test="count(hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.1.12.2.1']) &lt;= 1">(cdachsmcp_section_FunctionalStatusAssessmentCoded): element hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.1.12.2.1'] appears too often [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190225T172803/tmp-2.16.756.5.30.1.1.10.3.57-2017-09-13T163137.html"
              test="count(hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.17']) &gt;= 1">(cdachsmcp_section_FunctionalStatusAssessmentCoded): element hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.17'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190225T172803/tmp-2.16.756.5.30.1.1.10.3.57-2017-09-13T163137.html"
              test="count(hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.17']) &lt;= 1">(cdachsmcp_section_FunctionalStatusAssessmentCoded): element hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.17'] appears too often [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190225T172803/tmp-2.16.756.5.30.1.1.10.3.57-2017-09-13T163137.html"
              test="count(hl7:code[(@code = '47420-5' and @codeSystem = '2.16.840.1.113883.6.1')]) &gt;= 1">(cdachsmcp_section_FunctionalStatusAssessmentCoded): element hl7:code[(@code = '47420-5' and @codeSystem = '2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190225T172803/tmp-2.16.756.5.30.1.1.10.3.57-2017-09-13T163137.html"
              test="count(hl7:code[(@code = '47420-5' and @codeSystem = '2.16.840.1.113883.6.1')]) &lt;= 1">(cdachsmcp_section_FunctionalStatusAssessmentCoded): element hl7:code[(@code = '47420-5' and @codeSystem = '2.16.840.1.113883.6.1')] appears too often [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190225T172803/tmp-2.16.756.5.30.1.1.10.3.57-2017-09-13T163137.html"
              test="count(hl7:title[not(@nullFlavor)]) &gt;= 1">(cdachsmcp_section_FunctionalStatusAssessmentCoded): element hl7:title[not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190225T172803/tmp-2.16.756.5.30.1.1.10.3.57-2017-09-13T163137.html"
              test="count(hl7:title[not(@nullFlavor)]) &lt;= 1">(cdachsmcp_section_FunctionalStatusAssessmentCoded): element hl7:title[not(@nullFlavor)] appears too often [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190225T172803/tmp-2.16.756.5.30.1.1.10.3.57-2017-09-13T163137.html"
              test="count(hl7:text) &gt;= 1">(cdachsmcp_section_FunctionalStatusAssessmentCoded): element hl7:text is required [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190225T172803/tmp-2.16.756.5.30.1.1.10.3.57-2017-09-13T163137.html"
              test="count(hl7:text) &lt;= 1">(cdachsmcp_section_FunctionalStatusAssessmentCoded): element hl7:text appears too often [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190225T172803/tmp-2.16.756.5.30.1.1.10.3.57-2017-09-13T163137.html"
              test="count(hl7:component[hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.74'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.39'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.1.12.2.2']]]) &gt;= 1">(cdachsmcp_section_FunctionalStatusAssessmentCoded): element hl7:component[hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.74'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.39'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.1.12.2.2']]] is mandatory [min 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.1.10.3.57
Context: *[hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.57'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.23'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.1.12.2.1'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.17']]]/hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.57'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.23'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.1.12.2.1'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.17']]/hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.57']
Item: (cdachsmcp_section_FunctionalStatusAssessmentCoded)
-->

   <rule context="*[hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.57'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.23'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.1.12.2.1'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.17']]]/hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.57'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.23'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.1.12.2.1'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.17']]/hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.57']"
         id="d20e5069-false-d52167e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190225T172803/tmp-2.16.756.5.30.1.1.10.3.57-2017-09-13T163137.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(cdachsmcp_section_FunctionalStatusAssessmentCoded): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190225T172803/tmp-2.16.756.5.30.1.1.10.3.57-2017-09-13T163137.html"
              test="string(@root) = ('2.16.756.5.30.1.1.10.3.57')">(cdachsmcp_section_FunctionalStatusAssessmentCoded): The value for root SHALL be '2.16.756.5.30.1.1.10.3.57'. Found: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.1.10.3.57
Context: *[hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.57'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.23'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.1.12.2.1'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.17']]]/hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.57'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.23'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.1.12.2.1'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.17']]/hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.23']
Item: (cdachsmcp_section_FunctionalStatusAssessmentCoded)
-->

   <rule context="*[hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.57'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.23'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.1.12.2.1'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.17']]]/hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.57'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.23'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.1.12.2.1'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.17']]/hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.23']"
         id="d20e5074-false-d52182e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190225T172803/tmp-2.16.756.5.30.1.1.10.3.57-2017-09-13T163137.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(cdachsmcp_section_FunctionalStatusAssessmentCoded): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190225T172803/tmp-2.16.756.5.30.1.1.10.3.57-2017-09-13T163137.html"
              test="string(@root) = ('2.16.756.5.30.1.1.10.3.23')">(cdachsmcp_section_FunctionalStatusAssessmentCoded): The value for root SHALL be '2.16.756.5.30.1.1.10.3.23'. Found: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.1.10.3.57
Context: *[hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.57'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.23'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.1.12.2.1'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.17']]]/hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.57'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.23'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.1.12.2.1'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.17']]/hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.1.12.2.1']
Item: (cdachsmcp_section_FunctionalStatusAssessmentCoded)
-->

   <rule context="*[hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.57'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.23'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.1.12.2.1'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.17']]]/hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.57'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.23'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.1.12.2.1'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.17']]/hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.1.12.2.1']"
         id="d20e5079-false-d52197e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190225T172803/tmp-2.16.756.5.30.1.1.10.3.57-2017-09-13T163137.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(cdachsmcp_section_FunctionalStatusAssessmentCoded): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190225T172803/tmp-2.16.756.5.30.1.1.10.3.57-2017-09-13T163137.html"
              test="string(@root) = ('1.3.6.1.4.1.19376.1.5.3.1.1.12.2.1')">(cdachsmcp_section_FunctionalStatusAssessmentCoded): The value for root SHALL be '1.3.6.1.4.1.19376.1.5.3.1.1.12.2.1'. Found: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.1.10.3.57
Context: *[hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.57'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.23'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.1.12.2.1'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.17']]]/hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.57'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.23'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.1.12.2.1'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.17']]/hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.17']
Item: (cdachsmcp_section_FunctionalStatusAssessmentCoded)
-->

   <rule context="*[hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.57'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.23'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.1.12.2.1'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.17']]]/hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.57'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.23'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.1.12.2.1'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.17']]/hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.17']"
         id="d20e5084-false-d52212e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190225T172803/tmp-2.16.756.5.30.1.1.10.3.57-2017-09-13T163137.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(cdachsmcp_section_FunctionalStatusAssessmentCoded): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190225T172803/tmp-2.16.756.5.30.1.1.10.3.57-2017-09-13T163137.html"
              test="string(@root) = ('1.3.6.1.4.1.19376.1.5.3.1.3.17')">(cdachsmcp_section_FunctionalStatusAssessmentCoded): The value for root SHALL be '1.3.6.1.4.1.19376.1.5.3.1.3.17'. Found: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.1.10.3.57
Context: *[hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.57'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.23'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.1.12.2.1'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.17']]]/hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.57'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.23'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.1.12.2.1'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.17']]/hl7:code[(@code = '47420-5' and @codeSystem = '2.16.840.1.113883.6.1')]
Item: (cdachsmcp_section_FunctionalStatusAssessmentCoded)
-->

   <rule context="*[hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.57'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.23'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.1.12.2.1'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.17']]]/hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.57'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.23'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.1.12.2.1'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.17']]/hl7:code[(@code = '47420-5' and @codeSystem = '2.16.840.1.113883.6.1')]"
         id="d20e5089-false-d52227e0">
      <extends rule="CE"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190225T172803/tmp-2.16.756.5.30.1.1.10.3.57-2017-09-13T163137.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(cdachsmcp_section_FunctionalStatusAssessmentCoded): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190225T172803/tmp-2.16.756.5.30.1.1.10.3.57-2017-09-13T163137.html"
              test="@nullFlavor or (@code='47420-5' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Functional status assessment note' and @codeSystemName='LOINC')">(cdachsmcp_section_FunctionalStatusAssessmentCoded): The element value SHALL be one of 'code '47420-5' codeSystem '2.16.840.1.113883.6.1' displayName='Functional status assessment note' codeSystemName='LOINC''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.1.10.3.57
Context: *[hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.57'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.23'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.1.12.2.1'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.17']]]/hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.57'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.23'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.1.12.2.1'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.17']]/hl7:title[not(@nullFlavor)]
Item: (cdachsmcp_section_FunctionalStatusAssessmentCoded)
-->

   <rule context="*[hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.57'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.23'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.1.12.2.1'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.17']]]/hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.57'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.23'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.1.12.2.1'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.17']]/hl7:title[not(@nullFlavor)]"
         id="d20e5098-false-d52243e0">
      <extends rule="ST"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190225T172803/tmp-2.16.756.5.30.1.1.10.3.57-2017-09-13T163137.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(cdachsmcp_section_FunctionalStatusAssessmentCoded): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ST". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <let name="languageCode"
           value="substring(/hl7:ClinicalDocument/hl7:languageCode/@code,1,2)"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190225T172803/tmp-2.16.756.5.30.1.1.10.3.57-2017-09-13T163137.html"
              test="not($languageCode='ge') or (text()='Evaluation')">(cdachsmcp_section_FunctionalStatusAssessmentCoded): The German title must read 'Evaluation'</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190225T172803/tmp-2.16.756.5.30.1.1.10.3.57-2017-09-13T163137.html"
              test="not($languageCode='fr') or (text()='Statut des fonctions')">(cdachsmcp_section_FunctionalStatusAssessmentCoded): The French title must read 'Statut des fonctions'</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190225T172803/tmp-2.16.756.5.30.1.1.10.3.57-2017-09-13T163137.html"
              test="not($languageCode='en') or (text()='Functional Status Assessment')">(cdachsmcp_section_FunctionalStatusAssessmentCoded): The English title must read 'Functional Status Assessment'</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.1.10.3.57
Context: *[hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.57'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.23'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.1.12.2.1'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.17']]]/hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.57'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.23'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.1.12.2.1'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.17']]/hl7:text
Item: (cdachsmcp_section_FunctionalStatusAssessmentCoded)
-->

   <rule context="*[hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.57'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.23'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.1.12.2.1'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.17']]]/hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.57'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.23'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.1.12.2.1'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.17']]/hl7:text"
         id="d20e5127-false-d52253e0">
      <extends rule="SD.TEXT"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachsmcp-html-20190225T172803/tmp-2.16.756.5.30.1.1.10.3.57-2017-09-13T163137.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='SD.TEXT' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(cdachsmcp_section_FunctionalStatusAssessmentCoded): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:SD.TEXT". Found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.756.5.30.1.1.10.3.57
Context: *[hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.57'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.23'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.1.12.2.1'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.17']]]/hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.57'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.23'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.1.12.2.1'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.17']]/hl7:component[hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.74'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.39'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.1.12.2.2']]]
Item: (cdachsmcp_section_FunctionalStatusAssessmentCoded)
-->

   <!--
Template derived rules for ID: 2.16.756.5.30.1.1.10.3.57
Context: *[hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.57'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.23'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.1.12.2.1'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.17']]]/hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.57'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.23'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.1.12.2.1'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.17']]/hl7:component[hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.75'] and hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.40'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.1.12.2.5']]]
Item: (cdachsmcp_section_FunctionalStatusAssessmentCoded)
--></pattern>
